- Qt 6.12
- Qt GRPC
- C++ Classes
- QGrpcFinishedInterceptor
- Qt 6.12.0 Reference Documentation

# QGrpcFinishedInterceptor Class

Intercepts the completion status of an RPC. More...

Header: | `#include <QGrpcInterceptor>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Grpc)` `target_link_libraries(mytarget PRIVATE Qt6::Grpc)`
Since: | Qt 6.11

- List of all members, including inherited members
- QGrpcFinishedInterceptor is part of Qt GRPC Interceptors.

Note: All functions in this class are reentrant.

## Public Functions

virtual | ~QGrpcFinishedInterceptor()
virtual void | onFinished(QGrpcInterceptionContext &context, QGrpcStatus &status) = 0

## Detailed Description

Implement QGrpcFinishedInterceptor to observe or modify the final status of an RPC.

For an introduction to the interception mechanism and how interceptor interfaces participate in the lifecycle of an RPC, see the Qt GRPC Interceptors Overview.

Note: This interceptor operates in the outbound direction. For details on how multiple interceptor callbacks flow through the chain, see the Direction and flow section.

See also QtGrpc::InterceptorCapability::Finished, QGrpcOperation::finished(), and QGrpcInterceptionContext.

## Member Function Documentation

### `[virtual noexcept]` QGrpcFinishedInterceptor::~QGrpcFinishedInterceptor()

Destroys the interceptor.

### `[pure virtual]` void QGrpcFinishedInterceptor::onFinished(QGrpcInterceptionContext &context, QGrpcStatus &status)

Called when an RPC is completing.

The context provides information about the intercepted RPC. The status contains the final status and can be modified in place.

See also QGrpcOperation::finished().